Subject: Re: Patch: PCI resource fixup for atyfb (was: Re: xf 4.0.1 + atidriverwith rage II/rage pro)

From: Olaf Hering <[email-masked]>
Date: Mon, 2 Oct 2000 23:33:27 +0200

On Mon, Oct 02, Michel Dänzer wrote:

> Olaf Hering wrote:
> >
> > On Mon, Oct 02, Michel Dänzer wrote:
> >
> > > > plum:~ # fbset -depth 24
> > > > ioctl FBIOPUT_VSCREENINFO: Invalid argument
> > >
> > > What about -depth 32? Maybe X uses depth 24, 32 bpp.
> >
> > Same error.
> >
> > X can use 8,15,24.  But 32 doesnt work:
> > (**) ATI(0): Depth 32, (--) framebuffer bpp 32
> > (EE) ATI(0): Weight given (000) is inconsistent with the depth (32)
>
> I was talking about fbset... there is no depth 32 yet in X until the alpha
> channel is supported :)

Ok, first the console, then the alpha channel ;)

I got that in syslog when I try to switch the color depth:

Oct  2 23:02:45 plum kernel: not enough video RAM

Gruss Olaf

--
 $ man clone

BUGS
       Main feature not yet implemented...

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/